Bug 266322 - System Monitor crashes after terminating 2 processes
Summary: System Monitor crashes after terminating 2 processes
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on: 251719
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-14 20:12 UTC by kingdergrosse
Modified: 2011-03-30 12:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kingdergrosse 2011-02-14 20:12:55 UTC
Application: ksysguard (4.5.1 (KDE 4.5.1))
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-25-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:

I opened the System Monitor and searched for "transm". The shown list included 2 processes "transmission-deamon" and something like "transmission-da" (I don't remember the exact name). I marked and terminated both of them. 

--> both processes were terminated and after that, the System Monitor crashed

-- Backtrace:
Application: Systemmonitor (ksysguard), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fcb0c02a760 (LWP 5937))]

Thread 2 (Thread 0x7fcaf4a41700 (LWP 5948)):
#0  socketNotifierSourcePrepare (timeout=0x7fcaf4a40c1c) at kernel/qeventdispatcher_glib.cpp:76
#1  0x00007fcb025b0a11 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x00007fcb025b0e78 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007fcb025b145c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007fcb095be1e6 in QEventDispatcherGlib::processEvents (this=0x2a68c70, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007fcb09590a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007fcb09590dec in QEventLoop::exec (this=0x7fcaf4a40db0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007fcb0949b2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007fcb095705f8 in QInotifyFileSystemWatcherEngine::run (this=0x2a91a40) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fcb0949e27e in QThreadPrivate::start (arg=0x2a91a40) at thread/qthread_unix.cpp:266
#10 0x00007fcb0416b971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007fcb0b93392d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fcb0c02a760 (LWP 5937)):
[KCrash Handler]
#6  0x00007fcb05541344 in XDestroyRegion () from /usr/lib/libX11.so.6
#7  0x00007fcb08aa2bbb in QRegion::cleanUp (x=0x2a34f50) at painting/qregion.cpp:3907
#8  0x00007fcb08aa2c22 in QRegion::operator= (this=0x2915af0, r=...) at painting/qregion.cpp:3928
#9  0x00007fcb08b18e17 in QX11PaintEngine::begin (this=0x2a5f570, pdev=0x27680a8) at painting/qpaintengine_x11.cpp:504
#10 0x00007fcb08a5745e in QPainter::begin (this=0x7fff0ec13b30, pd=0x27680a8) at painting/qpainter.cpp:1866
#11 0x00007fcb08a57b98 in QPainter::QPainter (this=0x7fff0ec13b30, pd=0x257a1b0) at painting/qpainter.cpp:1491
#12 0x00007fcb08955adf in QWidgetPrivate::drawWidget (this=0x2596680, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x25ddd50) at kernel/qwidget.cpp:5397
#13 0x00007fcb08b293a6 in QWidgetBackingStore::sync (this=0x25ddd50) at painting/qbackingstore.cpp:1320
#14 0x00007fcb08948730 in QWidgetPrivate::syncBackingStore (this=0x25657a0) at kernel/qwidget.cpp:1805
#15 0x00007fcb0894f2f5 in QWidget::event (this=0x2562a60, event=0x2a480a0) at kernel/qwidget.cpp:8480
#16 0x00007fcb08d3641b in QMainWindow::event (this=0x2562a60, event=0x2a480a0) at widgets/qmainwindow.cpp:1417
#17 0x00007fcb0a349683 in KXmlGuiWindow::event (this=0x44df271, ev=0x0) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:130
#18 0x00007fcb0bc3b24e in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_ksysguard.so
#19 0x00007fcb088f8fdc in QApplicationPrivate::notify_helper (this=0x23e0ba0, receiver=0x2562a60, e=0x2a480a0) at kernel/qapplication.cpp:4396
#20 0x00007fcb088feaed in QApplication::notify (this=0x23e0a70, receiver=0x2562a60, e=0x2a480a0) at kernel/qapplication.cpp:4277
#21 0x00007fcb0a22d156 in KApplication::notify (this=0x23e0a70, receiver=0x2562a60, event=0x2a480a0) at ../../kdeui/kernel/kapplication.cpp:310
#22 0x00007fcb09591cdc in QCoreApplication::notifyInternal (this=0x23e0a70, receiver=0x2562a60, event=0x2a480a0) at kernel/qcoreapplication.cpp:732
#23 0x00007fcb09594c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x23c9c60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#24 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x23c9c60) at kernel/qcoreapplication.cpp:1373
#25 0x00007fcb095be653 in sendPostedEvents (s=0x23e47d0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#26 postEventSourceDispatch (s=0x23e47d0) at kernel/qeventdispatcher_glib.cpp:277
#27 0x00007fcb025ad342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#28 0x00007fcb025b12a8 in ?? () from /lib/libglib-2.0.so.0
#29 0x00007fcb025b145c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#30 0x00007fcb095be193 in QEventDispatcherGlib::processEvents (this=0x23c9350, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#31 0x00007fcb089aba4e in QGuiEventDispatcherGlib::processEvents (this=0x44df271, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#32 0x00007fcb09590a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#33 0x00007fcb09590dec in QEventLoop::exec (this=0x7fff0ec14b90, flags=) at kernel/qeventloop.cpp:201
#34 0x00007fcb09594ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#35 0x00007fcb0bc3cea3 in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_ksysguard.so
#36 0x00007fcb0b86bd8e in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff0ec15118) at libc-start.c:226
#37 0x0000000000400669 in _start ()

Reported using DrKonqi
Comment 1 John Tapsell 2011-03-20 22:55:54 UTC
Do you have NVidia?  If so, do you know what version of drivers?
Comment 2 John Tapsell 2011-03-20 22:58:05 UTC
Looks similar to
Comment 3 Christoph Feck 2011-03-21 03:23:49 UTC
I don't know which bug you had in mind, but this doesn't look nvidia related.
Comment 4 John Tapsell 2011-03-21 09:32:39 UTC
I know that it doesn't seem that way - but could you answer my question anyway please?
Comment 5 kingdergrosse 2011-03-30 03:29:34 UTC
Sorry, I had no access to my mails during the last 2 weeks...

I'm using a AMD graphic card and the fglrx driver.
Comment 6 John Tapsell 2011-03-30 12:00:26 UTC
Fixed in KDE 4.6.2 and 4.7

commit 846700f962b803b5efc75d520265fc6408b699c1
Author: John Tapsell <johnflux@gmail.com>
Date:   Wed Mar 23 23:30:34 2011 +0000

    Fix crash when killing a process
    
    BUG:269094
    BUG:261251